-- phpMyAdmin SQL Dump
-- version 4.4.3
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Mar 30, 2016 at 10:50 PM
-- Server version: 5.6.24
-- PHP Version: 5.5.24

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `Reations`
--

-- --------------------------------------------------------

--
-- Table structure for table `messages`
--

CREATE TABLE IF NOT EXISTS `messages` (
  `msg_id` int(11) NOT NULL,
  `message` varchar(200) NOT NULL,
  `uid_fk` int(11) NOT NULL,
  `like_count` int(11) DEFAULT '0',
  `created` int(11) DEFAULT NULL
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `messages`
--

INSERT INTO `messages` (`msg_id`, `message`, `uid_fk`, `like_count`, `created`) VALUES
(1, 'Deleted Scene from "Batman v Superman” Starring Jimmy Kimmel https://www.youtube.com/watch?v=0Y8iRvQdSGA', 3, 0, 1459348955),
(2, 'Make people fall in love with your ideas.', 1, 0, 1459348978),
(3, '9lessons Programming Blog www.9lessons.info', 2, 0, 1459349005),
(4, 'Build your own social network website www.thewallscript.com', 1, 0, 1459349027);

-- --------------------------------------------------------

--
-- Table structure for table `message_like`
--

CREATE TABLE IF NOT EXISTS `message_like` (
  `like_id` int(11) NOT NULL,
  `msg_id_fk` int(11) DEFAULT NULL,
  `uid_fk` int(11) NOT NULL,
  `created` int(11) NOT NULL,
  `rid_fk` int(11) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=62 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `message_like`
--

INSERT INTO `message_like` (`like_id`, `msg_id_fk`, `uid_fk`, `created`, `rid_fk`) VALUES
(1, 4, 2, 1459349202, 2),
(3, 2, 3, 1459349254, 1),
(4, 1, 2, 1459349254, 7),
(5, 3, 3, 1459349281, 4),
(6, 4, 3, 1459349281, 8);

-- --------------------------------------------------------

--
-- Table structure for table `reactions`
--

CREATE TABLE IF NOT EXISTS `reactions` (
  `rid` int(11) NOT NULL,
  `name` varchar(45) DEFAULT NULL
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `reactions`
--

INSERT INTO `reactions` (`rid`, `name`) VALUES
(1, 'Like'),
(2, 'Love'),
(3, 'Haha'),
(4, 'Wow'),
(5, 'Cool'),
(6, 'Confused '),
(7, 'Sad'),
(8, 'Angry ');

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `uid` int(11) NOT NULL,
  `username` varchar(45) DEFAULT NULL,
  `email` varchar(120) DEFAULT NULL,
  `password` varchar(200) DEFAULT NULL,
  `name` varchar(100) DEFAULT NULL,
  `profile_pic` varchar(200) DEFAULT NULL
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`uid`, `username`, `email`, `password`, `name`, `profile_pic`) VALUES
(1, 'srinivas', 'srinivas@9lessons.info', '63a401a18004e5c6a5b5bd3643fbb1d5', 'Srinivas Tamada', 'https://s3.amazonaws.com/9lessonslabs/SrinivasTamada.png'),
(2, 'rajesh', 'rajesh@9lessons.info', '63a401a18004e5c6a5b5bd3643fbb1d5', 'Rajesh Tamada', 'https://wallscript8labs.s3.amazonaws.com/user2_14546147361.png'),
(3, 'superman', 'superman@9lessons.info', '63a401a18004e5c6a5b5bd3643fbb1d5', 'Superman Hero', 'https://wallscript8labs.s3.amazonaws.com/user6_14549534061.png');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `messages`
--
ALTER TABLE `messages`
  ADD PRIMARY KEY (`msg_id`),
  ADD KEY `uid_fk` (`uid_fk`);

--
-- Indexes for table `message_like`
--
ALTER TABLE `message_like`
  ADD PRIMARY KEY (`like_id`),
  ADD KEY `uid_fk` (`uid_fk`),
  ADD KEY `msg_id_fk` (`msg_id_fk`),
  ADD KEY `rid_fk` (`rid_fk`);

--
-- Indexes for table `reactions`
--
ALTER TABLE `reactions`
  ADD PRIMARY KEY (`rid`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`uid`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `messages`
--
ALTER TABLE `messages`
  MODIFY `msg_id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=5;
--
-- AUTO_INCREMENT for table `message_like`
--
ALTER TABLE `message_like`
  MODIFY `like_id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=62;
--
-- AUTO_INCREMENT for table `reactions`
--
ALTER TABLE `reactions`
  MODIFY `rid` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=9;
--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `uid` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=4;
--
-- Constraints for dumped tables
--

--
-- Constraints for table `messages`
--
ALTER TABLE `messages`
  ADD CONSTRAINT `messages_ibfk_1` FOREIGN KEY (`uid_fk`) REFERENCES `users` (`uid`);

--
-- Constraints for table `message_like`
--
ALTER TABLE `message_like`
  ADD CONSTRAINT `message_like_ibfk_1` FOREIGN KEY (`uid_fk`) REFERENCES `users` (`uid`),
  ADD CONSTRAINT `message_like_ibfk_2` FOREIGN KEY (`msg_id_fk`) REFERENCES `messages` (`msg_id`),
  ADD CONSTRAINT `message_like_ibfk_3` FOREIGN KEY (`rid_fk`) REFERENCES `reactions` (`rid`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
